# we are cross-compiled libraries
%global debug_package %{nil}
%global __strip /bin/true

Name:           m68k-atari-mint-zlib
Summary:        The zlib library for Atari MiNT
Version:        1.2.8
Release:        1%{?dist}
License:        zlib
Group:          Development/Libraries
URL:            http://www.zlib.net/
Source0:        http://www.zlib.net/zlib-%{version}.tar.xz
BuildArch:      noarch
BuildRequires:  m68k-atari-mint-gcc
Requires:       m68k-atari-mint-gcc




%description
Zlib is a general-purpose, patent-free, lossless data compression
library which is used by many different programs.


%prep
%setup -q -c -n zlib

pushd zlib-%{version}
sed -i 's: -[LI][^ ]*::g' zlib.pc.in
sed -i 's:Z_U4=`./$test`:Z_U4="unsigned long":g' configure
popd

for d in m68000 m68020-60 m5475
do
    cp -a zlib-%{version} zlib-%{version}.$d
done


%build
COMMON_CFLAGS="-Wall -O3 -g -fomit-frame-pointer"
COMMON_OPTIONS="--prefix=%{mint_prefix}"

pushd zlib-%{version}.m68000
CFLAGS="$COMMON_CFLAGS" CROSS_PREFIX=m68k-atari-mint- ./configure $COMMON_OPTIONS
make
popd

pushd zlib-%{version}.m68020-60
CFLAGS="-m68020-60 $COMMON_CFLAGS" CROSS_PREFIX=m68k-atari-mint- ./configure $COMMON_OPTIONS --libdir=%{mint_libdir}/m68020-60
make
popd

pushd zlib-%{version}.m5475
CFLAGS="-mcpu=5475 $COMMON_CFLAGS" CROSS_PREFIX=m68k-atari-mint- ./configure $COMMON_OPTIONS --libdir=%{mint_libdir}/m5475
make
popd


%install
pushd zlib-%{version}.m68000
    make install DESTDIR=$RPM_BUILD_ROOT
popd

for d in m68020-60 m5475
do
    pushd zlib-%{version}.$d
    make install-libs DESTDIR=$RPM_BUILD_ROOT
    popd
done

# cleanup
rm -rf $RPM_BUILD_ROOT%{mint_libdir}/*/pkgconfig


%files
%doc
%{mint_includedir}/*
%{mint_libdir}/*
%{mint_mandir}/man3/*


%changelog
* Wed May 14 2014 Dan Horák <dan[at]danny.cz> - 1.2.8-1
- updated to 1.2.8

* Sat Jan 05 2013 Dan Horák <dan[at]danny.cz> - 1.2.7-1
- initial Fedora release
